メインコンテンツへスキップ
GET
/
v1
/
videos
/
{video_id}
OpenAI video status
curl --request GET \
  --url https://maas.apigo.ai/v1/videos/{video_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "video_123456789",
  "object": "video",
  "created_at": 1741570283,
  "completed_at": 1741570383,
  "model": "sora-2",
  "status": "pending",
  "progress": 50,
  "expires_at": 1741656683,
  "seconds": "4",
  "size": "720x1280",
  "remixed_from_video_id": "<string>",
  "error": {
    "code": "<string>",
    "message": "<string>",
    "type": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt

Use this file to discover all available pages before exploring further.

このエンドポイントを使用して、ビデオ生成タスクの現在のステータス、進行状況、およびエラー状態をクエリします。
  • Authorization: Bearer {API_KEY}で認証する
  • 主要なパス パラメータは video_id です。
  • このエンドポイントは通常、タスクの作成後にポーリングされます。
  • 内部ジョブ テーブルを管理する場合は、プロバイダーのステータスを製品のステータスとは別に保存します。

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

video_id
string
必須

Video ID

:

"video_123456789"

レスポンス

Successful video task status response

id
string
必須

Video task ID.

:

"video_123456789"

object
enum<string>
必須

Object type.

利用可能なオプション:
video
status
enum<string>
必須

Current task status.

利用可能なオプション:
pending,
in_progress,
completed,
failed
created_at
integer<int64>

Creation timestamp.

completed_at
integer<int64>

Completion timestamp.

model
string

Model used for generation.

progress
integer

Task progress percentage.

必須範囲: 0 <= x <= 100
expires_at
integer<int64>

Expiration timestamp for the generated asset.

seconds
string

Video duration in seconds.

size
enum<string>

Video resolution.

利用可能なオプション:
720x1280,
1280x720
remixed_from_video_id
string

Source video ID when the task comes from remix.

error
object